@font-face {
    font-family: 'Grilled Cheese';
    src: url('../font/GrilledCheeseBTNRegular.TTF') format('truetype');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter Bold';
    src: url('../font/Inter-Bold.otf') format('truetype');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter Regular';
    src: url('../font/Inter-Regular.otf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@keyframes pulse-btn {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Inter Regular', sans-serif;
    background: rgb(246 243 250) url(../img/background-primary.png) 0 0 / 200px 133px repeat;
    color: rgb(3 5 19);
    font-size: 16px;
    line-height: 24px;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Inter Bold', sans-serif;
    font-weight: 700;
    color: #5200CA;
    padding: 10px 0;
}

h1 {
    font-size: 42px;
    line-height: 64px;
}

h2 {
    font-size: 36px;
    line-height: 46px;
}

h3 {
    font-size: 30px;
    line-height: 40px;
}

h4 {
    font-size: 26px;
    line-height: 36px;
}

h5 {
    font-size: 22px;
    line-height: 30px;
}

h6 {
    font-size: 18px;
    line-height: 22px;
}

.content b, .content strong,
.content a{
    color: rgb(82 0 202);
}
.content a:hover {
    color: rgb(82 0 202);
    text-decoration: underline;
}

.content .container {
    background: #ffffff59;
    padding: 20px;
    border-radius: 20px;
    border: 1px solid #A99BFF;
}

.page-content img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 30px auto;
    border-radius: 5px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

:root {
    --stb-stroke-color: #085B00;
}

.header {
    position: sticky;
    top: 0;
    background: linear-gradient(180deg, #5200CA 0%, #3B0094 100%);
    z-index: 100;
    padding: 5px;
}

.header .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header__logo img {
   width: 180px;
   max-width: 100%;
   height: auto;
}

.hamburger {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    display: none;
    align-items: center;
    z-index: 1001;
}

.hamburger img {
    width: 30px;
    height: auto;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    z-index: 999;
}

.overlay.active {
    opacity: 1;
    visibility: visible;
}

.header__nav {
    display: none;
}

.header__actions {
    display: flex;
    gap: 8px;
}

.btn {
    padding: 14px 42px;
    font-family: 'Inter Bold', sans-serif;
    font-size: 16px;
    cursor: pointer;
    transition: all 0.3s ease;
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    border: none;
    box-sizing: border-box;
    text-align: center;
}

.btn--register,
.btn--login {
    position: relative;
    animation: pulse-btn 1.5s ease-in-out infinite;
    padding: 12px 35px;
    box-shadow: 0px 5px 0px 0px #059C07, 0px 9px 5px 0px #00000033;
    transition: all 0.5s ease;
    border-radius: 999px;
    color: #FFFFFF;
    text-shadow: 0px 1px 5px rgba(0, 0, 0, 0.25), 0px 2px 0px #085b00;
}

.btn--register::before,
.btn--hero::before,
.btn--login::before {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(180deg, #adf295 0%, #23C006 48%, #2be22d 100%), radial-gradient(ellipse 80% 50% at 50% 100%, #D5FF2B 0%, #7AFF59 25%, rgba(122, 255, 89, 0) 100%);
     z-index: -1;
    transition: background-color 0.3s ease;
    border-radius: 999px;
}
.btn--register::after,
.btn--hero::after,
.btn--login::after {
    content: '';
    position: absolute;
    inset: 0;
    border-radius: 999px;
}



.button__text {
    z-index: 1;
    text-shadow: -1px -1px 0 var(--stb-stroke-color), -1px -1px 0 var(--stb-stroke-color), -1px 0 0 var(--stb-stroke-color), -1px 1px 0 var(--stb-stroke-color), -1px 1px 0 var(--stb-stroke-color), -1px -1px 0 var(--stb-stroke-color), -1px -1px 0 var(--stb-stroke-color), -1px 0 0 var(--stb-stroke-color), -1px 1px 0 var(--stb-stroke-color), -1px 1px 0 var(--stb-stroke-color), 0 -1px 0 var(--stb-stroke-color), 0 -1px 0 var(--stb-stroke-color), 0 0 0 var(--stb-stroke-color), 0 1px 0 var(--stb-stroke-color), 0 1px 0 var(--stb-stroke-color), 1px -1px 0 var(--stb-stroke-color), 1px -1px 0 var(--stb-stroke-color), 1px 0 0 var(--stb-stroke-color), 1px 1px 0 var(--stb-stroke-color), 1px 1px 0 var(--stb-stroke-color), 1px -1px 0 var(--stb-stroke-color), 1px -1px 0 var(--stb-stroke-color), 1px 0 0 var(--stb-stroke-color), 1px 1px 0 var(--stb-stroke-color), 1px 1px 0 var(--stb-stroke-color), -1px 2px 0 var(--stb-stroke-color), 0 2px 0 var(--stb-stroke-color), 1px 2px 0 var(--stb-stroke-color), 1px 2px 0 var(--stb-stroke-color);
}

.btn--hero {
    font-family: 'Inter Bold', sans-serif;
    display: inline-block;
    text-decoration: none;
    border: none;
    color: #FFFFFF;
    text-shadow: 2px 2px 2px #085b00, 0px 2px 0px #085b00;
    box-shadow:0px 5px 0px 0px #20ab22, 0px 9px 5px 0px #00000033;
    padding: 15px 35px;
    font-size: 20px;
    text-transform: uppercase;
    position: relative;
    overflow: hidden;
    cursor: pointer;
    animation: pulse-btn 1.5s ease-in-out infinite;
    border-radius: 999px;
}

.sidebar {
    position: fixed;
    left: 0;
    top: 80px;
    width: 200px;
    height: calc(100vh - 90px);
    background: #0c1221;
    border-right: 1px solid #155BA1;
    z-index: 50;
    transition: transform 0.3s ease;
}

.sidebar__close {
    display: none;
}

.sidebar__nav {
    display: flex;
    flex-direction: column;
    padding: 5px;
    gap: 15px;
    margin-top: 30px;
}

.sidebar__link {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px;
    color: rgb(3 5 19);
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    transition: all 0.3s ease;
    position: relative;
    background: rgb(189, 212, 255);
    border-radius: 8px;
    box-sizing: border-box;
}

.sidebar__link::before {
    content: '';
    width: 30px;
    height: 30px;
    background-image: url('../img/icon.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.sidebar__link::after {
    content: '';
    position: absolute;
    inset: 0;
    border-radius: 8px;
    padding: 1px;
    background: 
        radial-gradient(circle at 0% 70%, rgba(242, 96, 96, 0.3) 0%, transparent 50%),
        radial-gradient(circle at 100% 90%, rgba(242, 96, 113, 0.4) 0%, transparent 50%),
        radial-gradient(circle at 50% 0%, #ad202c 0%, transparent 50%);
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    pointer-events: none;
}

.sidebar__link > * {
    position: relative;
    z-index: 1;
}

.sidebar__link:hover::before {
    opacity: 1;
}

.main {
   margin: 30px 20px;
}

.container {
    max-width: 1320px;
    width: 100%;
    margin: 0 auto;
}

.hero {
    max-width: 1320px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    min-height: 400px;
    display: flex;
    align-items: center;
    border-radius: 24px;
    background: url(../img/ban.jpg) center / cover no-repeat;
    box-shadow: 0px 5px 0px 0px #3b0094, 0px 9px 5px 0px #00000033;
}

.hero__video {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

.hero .container {
    display: flex;
    justify-content: flex-start;
    padding: 45px;
}

.hero__content {
    text-align: center;
    max-width: 550px;
    justify-content: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    background: radial-gradient(35.63% 46.59% at 50% -3.41%, rgba(235, 107, 246, 0.4) 0%, rgba(185, 71, 255, 0.4) 64.54%, rgba(185, 71, 255, 0) 100%), linear-gradient(180deg, #6D26ED 2.22%, #5817CB 100%);
    padding: 45px;
    border-radius: 24px;
    box-shadow: 0px 5px 0px 0px #3b0094, 0px 9px 5px 0px #00000033;
}

.hero__subtitle {
    background: linear-gradient(180deg, #FFFFFF 45%, #C6BDFF 100%);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-family: 'Inter Bold', sans-serif;
}

.hero__text {
    max-width: 750px;
}

.hero__title {
    font-family: 'Grilled Cheese', sans-serif;
    color: #FFE500;
    font-size: 45px;
    font-weight: 900;
    line-height: 1.1;
    text-shadow: 0px 1px 5px rgba(0, 0, 0, 0.25), 0px 2px 0px #000000;
}

.games-slider {
    overflow: hidden;
    margin-top: 10px;
}

.slider__track {
    padding-top: 20px;
}

.slider__track .slider__slide {
    width: 80px;
    height: 80px;
    border-radius: 22px;
    border: 1px solid #ffffffb3;
    background: linear-gradient(180deg, #f6f3fa -6.63%, #d8d3e5 127.78%);
    box-shadow: 0 0 24px rgba(100, 180, 255, 0.25), inset 0 0 20px rgba(100, 180, 255, 0.08);
}

 .slider__slide a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.slider__slide img {
    width: 80%;
    height: auto;
    object-fit: contain;
    border-radius: 0;
}

.slider {
    position: relative;
    overflow: hidden;
    cursor: grab;
}

.slider:active {
    cursor: grabbing;
}

.slider__track {
    display: flex;
    justify-content: center;
    gap: 10px;
    transition: transform 0.3s ease;
    will-change: transform;
    padding: 10px;
}

.slider__slide {
    flex: 0 0 auto;
    width: 120px;
    border-radius: 10px;
    overflow: hidden;
    transition: transform 0.3s ease;
}

.slider__slide:hover {
    transform: scale(1.05);
}

@media (max-width: 768px) {
    .slider__slide {
        width: 65px;
    }
    .icons-swiper .slider__slide {
        width: 55px;
        height: 55px;
        padding: 5px;
        border-radius: 10px;
    }
}

.content {
    padding: 0 0 48px;
}

p {
    font-family: 'Inter Regular', sans-serif;
    font-size: 18px;
    line-height: 28px;
    color: #58478e;
    margin-bottom: 16px;
    font-weight: 400;
}

ul, ol {
    font-family: 'Inter Regular', sans-serif;
    font-size: 18px;
    line-height: 28px;
    color: #ffffff;
    margin-bottom: 16px;
    font-weight: 400;
    padding: 20px 35px;
    background: radial-gradient(35.63% 46.59% at 50% -3.41%, rgba(235, 107, 246, 0.4) 0%, rgba(185, 71, 255, 0.4) 64.54%, rgba(185, 71, 255, 0) 100%), linear-gradient(180deg, #6D26ED 2.22%, #5817CB 100%);
    padding: 45px;
    border-radius: 24px;
    box-shadow: 0px 5px 0px 0px #3b0094, 0px 9px 5px 0px #00000033;
}


ul li::marker , ol li::marker {
   color:rgb(255 255 255);
}

ul li, ol li {
    margin-bottom: 8px;
}

ul {
    list-style-type: disc;
}

ol {
    list-style-type: decimal;
}

.table-section {
    padding-bottom: 48px;
}

.lexical-table-container {
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    padding: 40px 0;
}

.lexical-table {
    width: 100%;
    min-width: 600px;
    border-collapse: collapse;
    border-radius: 10px;
    overflow: hidden;
    white-space: nowrap;
    box-shadow: 0 5px 15px rgba(235, 107, 246, 0.4);
}

.lexical-table tr {
    border-bottom: 1px solid #a99bff;
}

.lexical-table tr:last-child {
    border-bottom: none;
}

.lexical-table tr:nth-child(even) {
    background: rgb(235 107 246 / 8%);
}

.lexical-table td {
    padding: 16px 20px;
    font-size: 16px;
    line-height: 22px;
    border: none !important;
    padding: 10px!important;
}

.lexical-table td p {
    padding: 0!important;
    margin: 0!important;
}

.table-label {
    color: rgb(31 32 37);
    font-weight: 500;
    width: 50%;
}

.table-value {
    color: rgb(31 32 37);
    font-weight: normal;
    text-align: left;
}

.featured img {
    width: 100%;
    height: auto;
    display: block;
}

.payments {
    background: rgb(31 32 37);
    padding: 40px 0;
    margin-top: 40px;
    max-width: 950px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 5px;
}

.payments__track {
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 30px;
}

.payments__item {
    flex-shrink: 0;
}

.payments__item img {
    height: 80px;
    width: auto;
    object-fit: contain;
}

.footer {
    background: rgb(235 231 248);
    padding: 20px 0 50px;
    margin-top: 64px;
    text-align: center;
    border-radius: 24px;
    margin: 20px;
}

.footer__logo {
    margin-bottom: 32px;
}

.footer__logo img {
    max-width: 200px;
    height: auto;
    margin: 0 auto;
}

.footer-menu {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-bottom: 32px;
    flex-wrap: wrap;
}

.footer__link {
    color: #3b0094;
    text-decoration: none;
    font-size: 16px;
    font-weight: 700;
    font-family: 'Inter Bold', sans-serif;
    padding: 15px;
}

.footer__licenses {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 24px;
    margin-bottom: 24px;
    flex-wrap: wrap;
}

.footer__licenses img {
   width: 100%;
   max-width: 85px;
   height: 40px;
   object-fit: contain;
}

.footer__payments {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 24px;
    margin: 20px;
    flex-wrap: wrap;
}

.footer__payments img {
    height: 35px;
    width: auto;
    object-fit: contain;
    background: #a99bff;
    border-radius: 8px;
}

.footer__disclaimer {
    margin-bottom: 16px;
}

.footer__disclaimer p {
    font-size: 14px;
    line-height: 20px;
    color: rgb(0 0 135);
    margin-bottom: 0;
}

.footer__copyright p {
    font-size: 14px;
    line-height: 20px;
    color: rgb(0 0 135);
    margin-bottom: 0;
}

@media (max-width: 768px) {
    .header {
        padding: 0;
    }
    .hamburger {
        display: flex;
        order: 3;
    }

    .sidebar {
        position: fixed;
        right: -100%;
        left: auto;
        top: 0;
        width: 100%;
        height: 100vh;
        background: linear-gradient(2.54444e-14deg, rgb(189, 212, 255) 0%, rgb(255, 255, 255) 100%);
        border-left: 1px solid rgba(255, 255, 255, 0.1);
        z-index: 1000;
        transition: right 0.3s ease;
    }

    .sidebar.active {
        right: 0;
    }

    .sidebar__close {
        display: block;
        position: absolute;
        top: 20px;
        right: 20px;
        background: none;
        border: none;
        color: #c31b1b;
        font-size: 40px;
        cursor: pointer;
        line-height: 1;
        padding: 0;
        width: 40px;
        height: 40px;
        transition: all 0.3s ease;
    }

    .sidebar__close:hover {
        color: #30ff36;
        transform: rotate(90deg);
    }

    .sidebar__nav {
        margin-top: 80px;
        padding: 20px 10px;
    }

    .sidebar__link {
        font-size: 16px;
        padding: 10px 20px;
    }

    .main {
        margin: 60px 10px;
    }

    .content {
        padding: 0!important;
    }

    .content .container {
        margin-top: 0;
        border-radius: 10px;
    }
    
    .header .container {
        display: flex;
        align-items: center;
        gap: 0px;
        flex-wrap: wrap;
        padding: 5px 16px;
    }

    .header__logo {
        flex: 1;
        display: flex;
        justify-content: center;
        order: 2;
    }

    .header__logo img {
        width: 180px;
        max-width: 100%;
        height: auto;
        object-fit: contain;
    }

    .header__actions {
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        display: flex;
        gap: 10px;
        padding: 10px;
        background: linear-gradient(0deg, #5200CA 0%, #3B0094 100%);
        flex-wrap: wrap;
    }

    .btn {
        flex: 1;
        padding: 10px 20px;
        font-size: 16px;
        width: auto;
        height: auto;
        min-height: 40px;
    }

    .btn--login,
    .btn--register {
        padding: 8px 15px;
        background-size: 100% 100%;
        z-index: 2;
    }

    .hero {
        display: flex;
        flex-direction: column;
        background-image: url('../img/mobile.jpg');
        background-position: top center;
        background-size: cover;
        border-radius: 10px;
        justify-content: flex-end;

        margin-bottom: 25px;
    }

    .games-slider {
        display: none;
    }

    .hero .container {
        z-index: 1;
        padding: 0;
        width: 100%;
        justify-content: center;
    }

    .hero::before {
        display: none;
    }

    .hero__wrapper {
        display: flex;
        flex-direction: column;
        min-height: 250px;
    }

    .hero__content {
        margin-top: auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 10px;
        text-align: center;
        margin: 10px;
        gap: 6px;
        border-radius: 10px;
    }

    .hero__text {
        flex: 1;
    }

    .hero__title {
        font-size: 35px;
    }

    .hero__subtitle {
        font-size: 14px;
    }

    .btn--hero {
        width: 100%;
        font-size: 22px;
        white-space: nowrap;
        padding: 10px 20px;
    }

    .icons-swiper {
        padding-top: 5px;
    }

    .lexical-table-container {
        overflow-x: auto;
    }

    .lexical-table {
        min-width: 400px;
        white-space: normal;
    }

    .lexical-table td {
        padding: 6px;
        font-size: 14px;
    }

    .table-label {
        font-size: 14px;
    }

    .table-value {
        font-size: 14px;
    }

    h1 {
        font-size: 34px;
        line-height: 36px;
    }

    h2 {
        font-size: 30px;
        line-height: 34px;
    }

    h3 {
        font-size: 28px;
        line-height: 30px;
    }

    h4 {
        font-size: 24px;
        line-height: 26px;
    }

    h5 {
        font-size: 20px;
        line-height: 24px;
    }

    h6 {
        font-size: 19px;
        line-height: 20px;
    }

    p {
        font-size: 16px;
        line-height: 26px;
    }

    ul, ol {
        font-size: 16px;
        line-height: 26px;
        padding: 20px 35px;
    }

    .footer {
        margin-top: 48px;
    }

    .footer .container {
        padding: 0 16px;
    }

    .footer__logo {
        margin-bottom: 24px;
    }

    .footer__logo img {
        max-width: 160px;
    }

    .footer__nav {
        flex-direction: column;
        gap: 16px;
        margin-bottom: 24px;
        flex-direction: row;
        flex-wrap: wrap;
    }

    .footer__link {
        font-size: 14px;
    }

    .footer__licenses {
        gap: 16px;
        margin-bottom: 20px;
    }

    .footer__licenses img {
        height: 32px;
        padding: 0;
    }

    .footer__payments {
        gap: 16px;
        margin-bottom: 24px;
    }

    .footer__payments img {
        height: 30px;
        padding: 0;
    }

    .payments {
        padding: 30px 0;
        margin-top: 30px;
    }

    .payments__track {
        gap: 20px;
    }

    .payments__item img {
        height: 50px;
    }

    .footer__disclaimer p,
    .footer__copyright p {
        font-size: 12px;
        line-height: 18px;
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    .hero__title {
        font-size: 40px;
    }
}

@media (min-width: 769px) {
    .hamburger {
        display: none;
    }

    .overlay {
        display: none;
    }

    .sidebar {
        display: none;
    }

    .header .container {
        display: flex;
    }

    .header__logo {
        flex: 0 0 auto;
        display: flex;
        align-items: center;
    }

    .header__nav {
        display: flex;
        gap: 20px;
        align-items: center;
        flex: 1;
        justify-content: center;
    }

    .header__link {
        color: #FFFFFF;
        text-decoration: none;
        font-size: 14px;
        font-weight: 700;
        transition: color 0.3s ease;
        position: relative;
        font-family: 'Inter Bold', sans-serif;
        letter-spacing: 1px;
    }

    .header__link:hover {
        color: #FFCC56;
    }

    .header__actions {
        display: flex;
        gap: 8px;
    }

    .btn {
        padding: 10px 35px;
    }

    .hero {
        min-height: 450px;
        display: flex;
        align-items: center;
    }

   
}

/* RTL-блоке */
[dir="rtl"] [style*="text-align: left"] {
    text-align: inherit !important;
}

/* --- Slots Block Styles --- */
.slots-wrapper {
  margin: 30px 0;
}
.slots-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
  gap: 16px;
  align-items: start;
}
.slot-card {
  text-align: center;
  border-radius: 8px;
  transition: transform 0.2s ease, background 0.2s;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  text-decoration: none;
  color: inherit;
  cursor: pointer;
  position: relative;
}
.slot-card::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0);
  border-radius: 8px;
  transition: background 0.2s;
  z-index: 1;
}
.slot-image {
  border-radius: 6px;
  overflow: hidden;
}
.slot-image img {
  width: 100%;
  height: 100%;
  display: block;
  margin: 0;
  padding: 0;
}
.slot-name {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: calc(100% - 16px);
  padding: 10px 20px;
  font-size: 14px;
  font-weight: 600;
  line-height: 1.3;
  background: #450C88;
  color: #FFFFFF;
  border-radius: 12px;
  opacity: 0;
  transition: opacity 0.2s, transform 0.2s;
  z-index: 2;
}
.slot-card:hover .slot-name{
  opacity: 1;
}
.slot-card:hover::before {
  background: rgba(0, 0, 0, 0.6);
  opacity: 1;
}
@media (max-width: 600px) {
  .slots-grid {
    gap: 10px;
  }
  .slot-name {
    font-size: 12px;
  }
}
